cURL
curl --request POST \ --url https://amoy-indexer.sequence.app/rpc/Indexer/SubscribeEvents \ --header 'Content-Type: application/json' \ --header 'X-Access-Key: <api-key>' \ --data ' { "filter": { "events": [ "<string>" ], "contractAddresses": [ "<string>" ], "accounts": [ "<string>" ], "tokenIDs": [ "<string>" ] } } '
{ "log": { "id": 123, "uid": "<string>", "type": "UNKNOWN", "blockNumber": 123, "blockHash": "<string>", "parentBlockHash": "<string>", "contractAddress": "<string>", "contractType": "UNKNOWN", "txnHash": "<string>", "txnIndex": 123, "txnLogIndex": 123, "logDataType": "EVENT", "ts": "<string>", "txnInfo": { "from": "<string>", "to": "<string>", "value": "<string>" }, "rawLog": {}, "event": { "topicHash": "<string>", "eventSig": "<string>", "types": [ "<string>" ], "names": [ "<string>" ], "values": [ "<string>" ] } } }
Documentation IndexFetch the complete documentation index at: https://docs.sequence.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Public project access key for authenticating requests obtained on Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
Show child attributes
OK
Was this page helpful?